Bug 240171 - Review Request: bigboard - Sidebar application launcher using mugshot.org
Summary: Review Request: bigboard - Sidebar application launcher using mugshot.org
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 16:34 UTC by Colin Walters
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 23:43:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Colin Walters 2007-05-15 16:34:15 UTC
Spec URL: http://download.mugshot.org/extras/bigboard/source/bigboard.spec
SRPM URL: http://download.mugshot.org/extras/bigboard/source/bigboard-0.3-1.src.rpm
Description: Bigboard is a sidebar and application launcher that works with mugshot.org to provide an online experience.

Comment 1 Matthias Clasen 2007-05-15 17:10:59 UTC
Small things:

- People want a full source url

- Why do you have to set GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL if the package
  does not contain gconf schemata anyway ?

- python packages are supposed to define some python_sitearch thing up top


Comment 3 Matthias Clasen 2007-05-15 20:57:55 UTC
Looking good at first glance. The only thing I see right now is that shouldn't
include .la files. 

I'll go over the checklist later tonight or tomorrow.

Comment 4 Matthias Clasen 2007-05-15 21:11:41 UTC
The package needs to own /usr/lib/bigboard and /usr/share/bigboard

Comment 5 Matthias Clasen 2007-05-15 21:43:21 UTC
COPYING says "see LICENSE", but there is no LICENSE file

Comment 6 Matthias Clasen 2007-05-15 21:50:11 UTC
Why does main.py live under /usr/libexec ? Can't that live under /usr/share, too ?

Comment 7 Matthias Clasen 2007-05-15 21:55:14 UTC
The packaging guidelines have a stupid rule about "every gui app needs a desktop
file" - you should just put a comment in the spec stating that bigboard does not
need one.

Comment 8 Colin Walters 2007-05-15 22:48:25 UTC
Squish squish, squish, (skip), squish.

On the libexec thing...it's an artifact of the current build/run system which I
am a bit loath to touch again.  Basically I had a lot of trouble getting things
so they could easily run both installed and uninstalled.

New files uploaded:
http://download.mugshot.org/extras/bigboard/source/bigboard-0.3.2.tar.gz
http://download.mugshot.org/extras/bigboard/source/bigboard.spec

Comment 9 Matthias Clasen 2007-05-16 03:47:32 UTC
I'm fine with things staying in libexec.

Going thru the checklist now:

- rpmlint is silent
- package name is ok
- spec file name is ok
- packaging guidelines are met
- license: GPL, ok
- license tag ok
- license text included in %doc
- spec file written in excellent, legible language
- upstream source ok
- locale handling n/a
- shared libs n/a
- not a relocatable package
- directory ownership: 
  still missing /usr/share/bigboard/stocks
- no duplicate files 
- file permissions: ok
- %clean section: ok
- consistent macro use: ok
- package content: ok
- large documentation: n/a
- %doc sanity: ok
- headers: n/a
- static libs n/a
- pkgconfig files: n/a
- shared libs: n/a
- la files: ok
- desktop file: ok
- ownership: ok
- %install cleans buildroot, ok
- filenames: ok

still waiting for my mock build to complete...

 



Comment 10 Matthias Clasen 2007-05-16 04:02:42 UTC
mock build completed successfully, so BRs are ok, too

The only remaining issue is the unowned directory.

Comment 12 Matthias Clasen 2007-05-16 16:16:35 UTC
Looks good now. Approved.

Comment 13 Mamoru TASAKA 2007-05-16 17:19:13 UTC
(In reply to comment #11)
> squish!
> 
> http://download.mugshot.org/extras/bigboard/source/bigboard.spec

The following directries don't seem to be owned??
(on i386)
/usr/lib/python2.5/site-packages/bigboard/httplib2/
/usr/lib/python2.5/site-packages/bigboard/keybinder/
/usr/lib/python2.5/site-packages/bigboard/libbig/


Comment 14 Colin Walters 2007-05-16 17:25:21 UTC
Mamoru - fixed!


Comment 15 Colin Walters 2007-05-16 17:26:55 UTC
New Package CVS Request
=======================
Package Name: bigboard
Short Description: Sidebar application launcher using mugshot.org
Owners: walters@redhat.com
Branches: FC-6 FC-7
InitialCC: 

Comment 16 Mamoru TASAKA 2007-05-16 17:41:23 UTC
(In reply to comment #14)
> Mamoru - fixed!

Seems okay.

Comment 17 Colin Walters 2007-05-31 22:47:57 UTC
Package Change Request
======================
Package Name: bigboard
New Branches: F7

Comment 18 Jason Tibbitts 2007-05-31 23:43:19 UTC
Note: It's "F-7".  Also, please don't reopen tickets just to make CVS requests.

Branch created.


Note You need to log in before you can comment on or make changes to this bug.